version: '3'

services:
  db:
    image: postgres
    ports:
      - "5432:5432"
    restart: always
    environment:
      POSTGRES_USER: ocf
      POSTGRES_PASSWORD: azerty
      POSTGRES_DB: ocf
    networks:
      - db
    volumes:
      - db:/var/lib/postgresql/data

  api:
    build: ./
    ports:
      - "8000:8000"
    restart: always
    environment:
      POSTGRES_USER: ocf
      POSTGRES_PASSWORD: azerty
      POSTGRES_DB: ocf
    networks:
      - api
    command: go run /app/main.go  # Mettez à jour le chemin du fichier main.go
    volumes:
      - /home/sdv/ocf-core:/app  # Mettez à jour le chemin du volume

networks:
  db:
    internal: true
  api:
    internal: false

volumes:
  db:
